unit _PrjProcs;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

const
  _PrjCodeName = 'MYPRJ';
  _PrjLogoCaption = 'Мой проект';

  _PrjAlarmResetTagName = _PrjCodeName + '.BTN_Beep1_Input';
  _PrjStartAlarmBtnInputTagName = _PrjCodeName + '.BTN_Beep1_StartAlarm_Input';
  _PrjBeepControlTagName = _PrjCodeName + '.MCHB_Beep1_Control';


  procedure _PrjInitForms;
  procedure _PrjBeforeStart;
  procedure _PrjAfterStart;
  procedure _PrjBeforeStop;
  procedure _PrjAfterStop;
  procedure _PrjOnTimer;


implementation
uses
  MesLogging,
  RpVisualParams,
  RpVisualGlobal,
  VisSeqdControl,
  CommonDataboard,
  Screen,
  RpVisualMain,
  main;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjInitForms;
begin
//  addAlarmResetTag('SCHML.BTN_Beep0_Input', 'zo_razmol');
//  addAlarmResetTag('SCHML.BTN_Beep1_Input', 'zernoochistka');
//  addAlarmResetTag('SCHML.BTN_Beep2_Input', 'razmol');

//  form1.color := $00464646;

//  modeMchbCtrlBeep := true;

//  form1.PageControl.TabWidth := 160;

  _AddFormToPageControl(TScreenForm,  TForm(ScreenForm),  'Мой экран');

//  CommonDataboard_Init();
//  CommonDataboard_Add(getSeqdNameByTagroot('S06') + ';;;');
//  CommonDataboard_Add('Мой параметр; my_tagname;;;1;0');


end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjBeforeStart;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjAfterStart;
begin
//  _ch_tr(_PrjCodeName, 'INFO', 131, 212, 318);
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjBeforeStop;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjAfterStop;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjOnTimer;
begin
end;



end.
